<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Админ панель';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

//-----Переадресовуем не авторизированного и без левела-----//
if(!$user['id'] or $user['level'] < 2) {
echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

switch($_GET['act'])
{
default:

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | Админ панель</div>';

echo '<a href="'.$HOME.'/panel/users/"><div class="podmenu">Управление пользователями</div></a>
<a href="'.$HOME.'/panel/aspam/"><div class="podmenu">Антиспам</div></a>
<a href="'.$HOME.'/panel/ip_fs/"><div class="podmenu">Поиск по IP</div></a>
<a href="'.$HOME.'/panel/ban/"><div class="podmenu">Бан лист</div></a>
<a href="'.$HOME.'/panel?act=arb_adm"><div class="podmenu">Арбитраж</div></a>';

if($user['level'] > 2) {
echo '<a href="'.$HOME.'/panel/rules/"><div class="podmenu">Настройки правил</div></a>
<a href="'.$HOME.'/user/billing/adminka/rekl.php"><div class="podmenu">Реклама</div></a>
<a href="?act=set"><div class="podmenu">Настройки сайта</div></a>
<a href="'.$HOME.'/panel/style.php"><div class="podmenu">Стиль сайта</div></a>';
}

break;
case 'arb_adm':
if(isset($_GET['otk'])){
$otkl = abs(intval($_GET['otkl']));
$id = $pdo->query('select * from `arbitr` where `id` = "'.$otkl.'"')->fetch();
$pdo->exec("DELETE FROM `arbitr` WHERE `id`='".$otkl."'");
header('Location: /panel?act=arb_adm'); 
exit;}
if(isset($_GET['pod'])){
$idd = abs(intval($_GET['idd']));
$id = $pdo->query('select * from `arbitr` where `id` = "'.$idd.'"')->fetch();
$pdo->exec("UPDATE `arbitr` SET `text`='".$id['text']."',`ver`='".$id['ver']."',`who`='".$id['who']."',`ho`='".$id['ho']."',`time`='".time()."',`mode`='1' WHERE `id`='".$idd."'");
header('Location: /panel?act=arb_adm'); 
exit;}
$arbv = $pdo->query("SELECT * FROM `arbitr` WHERE `mode` = '0'");
while($arbv2 = $arbv->fetch()){
echo '<div class="podmenu">'.nick($arbv2['who']).'('.vremja($arbv2['time']).')<br>
За что: '.smile(bb($arbv2['text'])).'</br>
Кого: '.nick($arbv2['ho']).'';
if($arbv2['ver'] == 1){echo '<font color="green"><b>[отзыв]</b></font>';
}else{
echo '<font color="red"><b>[прета]</b></font>';
}
echo '</br>[<a href="/panel?act=arb_adm&pod&idd='.$arbv2['id'].'">принять</a>][<a href="/panel?act=arb_adm&otk&otkl='.$arbv2['id'].'">отклонить</a>]';
echo '</div>';
}    
break;
case 'ban':

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Бан лист</div>
<div class="podmenu">» <a href="'.$HOME.'/panel/ban/list">Список забаненых</a></div>';

if($user['id'] == 1) echo '<div class="podmenu">» <a href="'.$HOME.'/panel/ban/jalob">Жалобы на бан</a></div>';

break;
case 'ban_list':

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | <a href="'.$HOME.'/panel/ban/">Бан лист</a> | Список забаненых</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban_list`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$ban = mysql_query("SELECT * FROM `ban_list` ORDER BY `time_play` DESC LIMIT $start,$max");
while($b = mysql_fetch_assoc($ban))
{
echo '<div class="links">'.nick($b['add_ban']).' =(забанил)=> '.nick($b['kto']).'<br />(Дата бана: '.vremja($b['time_play']).')
<br />
[<a href="'.$HOME.'/panel/ban/list/updateban'.$b['kto'].'">разбанить</a>]</div>
<div class="podmenu">'.smile(bb($b['about'])).'
<br />
<b>Дата освобождения: '.date('d.m.Y в H:i',$b['time_end']).'</b></div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Бан лист пуст!</b></center></div>';
}

if ($k_page > 1) {
echo str(''.$HOME.'/panel/ban/list/',$k_page,$page); // Вывод страниц
}

echo '<div class="links">» <a href="'.$HOME.'/panel/ban">Назад в бан лист</a></div>';

break;
case 'addban':

$id = abs(intval($_GET['id']));
$adban = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | <a href="'.$HOME.'/panel/ban/">Бан лист</a> | <a href="'.$HOME.'/panel/ban/list">Список забаненых</a> | Бан</div>';

if($adban['id'] == 0 or $user['id'] == $id or $id == 1) {
echo '<div class="podmenu"><center><b>Ошибка!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['ok'])) {

$about = strong($_POST['about']);
$time_end = strong($_POST['time_end']);

if(empty($about) or mb_strlen($about) < 3) {
echo '<div class="podmenu"><center><b>Ошибка ввода ,минимум 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `ban_list` SET `about` = '".$about."', `time_end` = '".(time()+($time_end*(60*60)))."', `add_ban` = '".$user['id']."', `kto` = '".$id."', `time_play` = '".time()."'");
header('Location: '.$HOME.'/panel/ban/list');
exit();
}

$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$id."'"));

if($sql == 0) {
echo '<div class="podmenu">Вы желаете дать бан '.nick($id).' ?</div>
<div class="podmenu"><form action="" method="POST">
*Причина:<br /><textarea name="about"></textarea><br />
*Срок:<br/><select name="time_end"><option value="3">3 часа</option><option value="24">Сутки</option><option value="72">3 дня</option><option value="168">Неделя</option><option value="720">Месяц</option><option value="8640">Год</option></select><br/>
<input type="submit" name="ok" value="Банить" />
</form></div>';
} else {
echo '<div class="podmenu"><center><b>Этот пользователь уже забанен!!</b></center></div>';
}

break;
case 'updateban':

$id = abs(intval($_GET['id']));
$upban = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$id."'"));

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | <a href="'.$HOME.'/panel/ban/">Бан лист</a> | <a href="'.$HOME.'/panel/ban/list">Список забаненых</a> | Разбан</div>';

if($upban['id'] == 0) {
echo '<div class="podmenu"><center><b>Этот пользователь не в бане!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['okda'])) {
mysql_query("DELETE FROM `ban_list` WHERE `kto` = '".$id."'");
header('Location: '.$HOME.'/panel/ban/list');
exit();
}

echo '<div class="podmenu">Вы действительно хотите разбанить '.nick($upban['kto']).'?
<br />
<a href="'.$HOME.'/panel/ban/list/updateban'.$id.'?okda">Да</a></div>';

break;
case 'jalob_ban':

if($user['id'] != 1) {
echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | <a href="'.$HOME.'/panel/ban/">Бан лист</a> | Жалобы на бан</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `jalob_ba`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$jal = mysql_query("SELECT * FROM `jalob_ba` ORDER BY `time` DESC LIMIT $start,$max");
while($j = mysql_fetch_assoc($jal))
{
echo '<div class="podmenu">'.smile(bb($j['about'])).' ('.nick($j['avtor']).')</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Жалоб не поступало!</b></center></div>';
}

if ($k_page > 1) {
echo str(''.$HOME.'/panel/ban/jalob/',$k_page,$page); // Вывод страниц
}

echo '<div class="links">» <a href="'.$HOME.'/panel/ban">Назад в бан лист</a></div>';

break;
case 'ip_fs':

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Поиск по IP</div>';

echo '<div class="podmenu"><form action="" method="POST">
Введите IP: <br />
<input type="text" name="text" value="" maxlength="30" /><br />
<input type="submit" name="submit" value="Искать" />
</form></div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['text']);

if(strlen($text) <1) {
echo '<div class="podmenu"><center><b>Минимальная длина запроса 1 символ!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><img src="/design/gradient/lol.png" alt="*" /> Результаты поиска:</div>';

$s = mysql_query("SELECT * FROM `users` where `ip` LIKE '%".$text."%' ORDER BY `id` DESC ");
$sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` where `ip` LIKE '%".$text."%' "),0);

while($ip_fs = mysql_fetch_assoc($s)){
echo '<div class="links">'.nick($ip_fs['id']).'</div>
<div class="podmenu">
<b>IP:</b> '.$ip_fs['ip'].' <br />
<b>UA:</b> '.$ip_fs['browser'].'</a>
</div>';
}
}

if($sql == 0) echo '<div class="podmenu"><center><b>По вашему запросу ничего не найдено!</b></center></div>';

break;
case 'aspam':

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Антиспам</div>';

if(isset($_REQUEST['ok'])) {

$down = strong($_POST['down']);
$mes = strong($_POST['mes']);
$blog = strong($_POST['blog']);
$news = strong($_POST['news']);
$stena = strong($_POST['stena']);
$gust = strong($_POST['gust']);
$chat = strong($_POST['chat']);
$forum_tema = strong($_POST['forum_tema']);
$forum_post = strong($_POST['forum_post']);
$repa = strong($_POST['repa']);

/* Репутация */
if(empty($repa)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в репутациях!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($repa)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Репутация */

/* Сообщения */
if(empty($mes)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в сообщениях!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($mes)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Сообщения */

/* Загрузки комментарии */
if(empty($down)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в загрузках!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($down)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Загрузки комментарии */

/* Новости комментарии */
if(empty($news)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в новостях!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($news)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Новости комментарии */

/* Стена пользователя */
if(empty($stena)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама сообщений на стене!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($stena)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Стена пользователя */

/* Сообщения в чате */
if(empty($chat)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама сообщений в мини чате!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($chat)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Сообщения в чате */

/* Форум создание темы */
if(empty($forum_tema)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама созданий темы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($forum_tema)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Форум создание темы */

/* Форум написание поста */
if(empty($forum_post)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама написания сообщений в теме!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($forum_post)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Форум написание поста */

/* Блоги(комментарии) */
if(empty($blog)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама написания комментарий в блогах!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($blog)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Блоги(комментарии) */

mysql_query("UPDATE `antispam` SET `repa` = '".$repa."',`mes` = '".$mes."',`down` = '".$down."',`guest` = '".$gust."',`blog` = '".$blog."',`chat` = '".$chat."', `news` = '".$news."', `stena` = '".$stena."', `forum_tema` = '".$forum_tema."', `forum_post` = '".$forum_post."' WHERE `id` = '1'");
echo '<div class="podmenu"><center><b>Настройки успешно изменены!</b></center></div>';
}
/* Переменная вывода настроек сайта */
$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` "));
echo '<div class="podmenu"><form action="" method="POST">
Писать в новостях комментарии можно раз в:<br />
<input type="text" name="news" value="'.$sql['news'].'"/> сек.<br />
Оставлять в чате сообщения можно раз в:<br />
<input type="text" name="chat" value="'.$sql['chat'].'"/> сек.<br />
Оставлять сообщения на стенах можно раз в:<br />
<input type="text" name="stena" value="'.$sql['stena'].'"/> сек.<br />
Создавать темы в форуме можно раз в:<br />
<input type="text" name="forum_tema" value="'.$sql['forum_tema'].'"/> сек.<br />
Писать сообщения в теме можно раз в:<br />
<input type="text" name="forum_post" value="'.$sql['forum_post'].'"/> сек.<br />
Писать комментарии в блогах можно раз в:<br />
<input type="text" name="blog" value="'.$sql['blog'].'"/> сек.<br />
Писать сообщения в гостевой можно раз в:<br />
<input type="text" name="gust" value="'.$sql['guest'].'"/> сек.<br />
Писать комментарии в загрузках можно раз в:<br />
<input type="text" name="down" value="'.$sql['down'].'"/> сек.<br />
Писать сообщения можно раз в:<br />
<input type="text" name="mes" value="'.$sql['mes'].'"/> сек.<br />
Изменять репутацию можно раз в:<br />
<input type="text" name="repa" value="'.$sql['repa'].'"/> дн.<br />
<input type="submit" name="ok" value="Установить" />
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';

break;
case 'us':

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Управление пользователями</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$k_post = $start+1;

$us = mysql_query("SELECT * FROM `users` ORDER BY `id` LIMIT $start, $max");
while($u = mysql_fetch_assoc($us))
{
echo '<div class="links">'.$k_post++.') '.nick($u['id']).' ID: '.$u['id'].'<br />[<a href="'.$HOME.'/panel/delete_us_'.$u['id'].'">удал</a>] [<a href="'.$HOME.'/panel/up_us_'.$u['id'].'">ред</a>] ';

$ban = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$u['id']."'"));
if($u['id'] != 1) {

if(empty($ban)) {
echo '[<a href="'.$HOME.'/panel/ban/list/addban'.$u['id'].'">забанить</a>]';
} else { 
echo '[<a href="'.$HOME.'/panel/ban/list/updateban'.$u['id'].'">разбанить</a>]';
}

}

echo '</div>
<div class="podmenu">Дата реги.: '.vremja($u['datareg']).'<br />
Браузер: '.$u['browser'].'<br />
IP: '.$u['ip'].'<br />
Обновлялся: '.vremja($u['viz']).'
</div>';
}

if ($k_page > 1) {
echo str(''.$HOME.'/panel/users?',$k_page,$page); // Вывод страниц
}

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';


break;
case 'deleteus':

$id = abs(intval($_GET['id']));
$del_us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Удалить пользователя</div>';

if($del_us == 0 or $id == 1) {
echo '<div class="podmenu"><center><b>Ошибка!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['okda'])) {
mysql_query("DELETE FROM `users` where `id` = '".$id."'");
header('Location: /panel/users');
exit();
}

echo '<div class="podmenu">Вы действительно хотите удалить данного пользователя?<br /><a href="'.$HOME.'/panel/delete_us_'.$id.'?okda">Да</a></div>';

break;
case 'set':

if($user['level'] > 3) {
echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Настройки сайта</div>';

if(isset($_REQUEST['ok'])) {

$key = strong($_POST['key']);
$des = strong($_POST['des']);
$cop = strong($_POST['cop']); 

if(empty($key)) {
echo '<div class="podmenu"><center><b>Вы не ввели Keywords!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($key) < 3 or mb_strlen($key) > 500) {
echo '<div class="podmenu"><center><b>Введите Keywords от 3 до 500 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($des)) {
echo '<div class="podmenu"><center><b>Вы не ввели Description!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($des) < 3 or mb_strlen($des) > 500) {
echo '<div class="podmenu"><center><b>Введите Description от 3 до 500 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($cop)) {
echo '<div class="podmenu"><center><b>Вы не ввели Копирайт!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($cop) < 2 or mb_strlen($cop) > 50) {
echo '<div class="podmenu"><center><b>Введите Копирайт от 2 до 50 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `settings` SET `key` = '".$key."', `des` = '".$des."', `cop` = '".$cop."' WHERE `id` = '1'");
echo '<div class="podmenu"><center><b>Настройки успешно изменены!</b></center></div>';
}

$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));

echo '<div class="podmenu"><form action="" method="POST">
Keywords:<br /><input type="text" name="key" value="'.$sql['key'].'" maxlength="500" /><br />
Description:<br /><input type="text" name="des" value="'.$sql['des'].'" maxlength="500" /><br />
Копирайт:<br /><input type="text" name="cop" value="'.$sql['cop'].'" maxlength="50" /><br />';
echo '<input type="submit" name="ok" value="Изменить" />';
echo '</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';

break;
case 'rules':

if($user['level'] > 3) {
echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Настройки правил</div>';

if(isset($_REQUEST['ok'])) {

$site = strong($_POST['site']);
$forum = strong($_POST['forum']);
$chat = strong($_POST['chat']);

if(empty($site)) {
echo '<div class="podmenu"><center><b>Введите правила сайта</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($forum)) {
echo '<div class="podmenu"><center><b>Введите правила форума</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($chat)) {
echo '<div class="podmenu"><center><b>Введите правила чата</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `rules` SET `site` = '".$site."', `forum` = '".$forum."', `chat` = '".$chat."'");
echo '<div class="podmenu"><center><b>Правила успешно изменены!</b></center></div>';
}

$db = mysql_fetch_assoc(mysql_query("SELECT * FROM `rules`"));

echo '<div class="podmenu">
<form action="" method="POST">
*Правила сайта:<br /><textarea name="site">'.$db['site'].'</textarea><br />
*Правила в форуме:<br /><textarea name="forum">'.$db['forum'].'</textarea><br />
*Правила в чате:<br /><textarea name="chat">'.$db['chat'].'</textarea><br />
<input type="submit" name="ok" value="Изменить" />
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';

break;
case 'upus':

$id = abs(intval($_GET['id']));
$up_us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

if($up_us == 0 or $id == 1 || $up_us['id'] == $user['id']) {
echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>Ошибка!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Редактировать пользователя</div>';

if(isset($_REQUEST['ok'])) {

$name = strong($_POST['name']);
$strana = strong($_POST['strana']);
$gorod = strong($_POST['gorod']);
$osebe = strong($_POST['osebe']);
$level = strong($_POST['level']);
$email = strong($_POST['email']);
$money = strong($_POST['money']);
$url = strong($_POST['url']);

if (!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $email)) {
echo '<div class="podmenu"><center><b>Формат e-mail введён не верно!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `users` SET `name` = '".$name."', `strana` = '".$strana."', `gorod` = '".$gorod."', `osebe` = '".$osebe."', `level` = '".$level."', `email` = '".$email."', `money` = '".$money."', `url` = '".$url."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Пользователь отредактирован!</b></center></div>';
}

echo '<div class="podmenu">Редактирование пользователя:  '.nick($up_us['id']).'</div><div class="podmenu">
<form action="" method="POST">
Имя:<br /><input type="text" name="name" maxlength="45" value="'.$up_us['name'].'" /><br />
Страна:<br /><input type="text" name="strana" maxlength="40" value="'.$up_us['strana'].'" /><br />
Город:<br /><input type="text" name="gorod" maxlength="40" value="'.$up_us['gorod'].'" /><br />
О себе:<br /><input type="text" name="osebe" maxlength="100" value="'.$up_us['osebe'].'" /><br />
Сайт:<br /><input type="text" name="url" maxlength="20" value="'.$up_us['url'].'" /><br />
Стронги:<br /><input type="text" name="money" maxlength="1000" value="'.$up_us['money'].'" /><br />
Должность:<br/><select name="level"><option value="0">Юзер</option><option value="1">Модер</option><option value="2">Админ</option><option value="3">Создатель</option></select><br/>
E-MAIL:<br /><input type="text" name="email" value="'.$up_us['email'].'" maxlength="50" /><br />
<input type="submit" name="ok" value="Изменить" />
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';

break;
}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>